Bug 245041 - Memory stick isn't recognized. uchi_hcd error message.
Memory stick isn't recognized. uchi_hcd error message.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Dave Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-20 13:48 EDT by Robin
Modified: 2015-01-04 17:29 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.22.1-32.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 07:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robin 2007-06-20 13:48:49 EDT
Description of problem:
    Memory stick is not recognized in Linux but works great in Windows.

Version-Release number of selected component (if applicable):
    kernel-2.6.20-1.2952.fc6

How reproducible:
    Every time in FC4, FC6 and F7 as well as Ubuntu

Steps to Reproduce:
  1. New memory stick.  Plug into Linux computer.
  2. Nothing happens.
  3. Look at logs to see if the stick is recognized.
  
Actual results:
   Error messages produces in dmesg.  Stick not recognized.

Expected results:
   Device is recognized so it can be mounted or modified.


Additional info:
This is copy of the error message on a FC6 machine.  On the F7 machine, the
module was uhci_hcd  rmmod ehci_hcd causes a uchi_hcd message as well.

Same error messages in Ubuntu 7.x and FC4.
---------

Jun 19 14:46:41 eagle1 kernel: usb 4-1: new high speed USB device using ehci_hcd
 and address 3
Jun 19 14:46:43 eagle1 kernel: usb 4-1: device descriptor read/64, error -32
Jun 19 14:46:43 eagle1 kernel: usb 4-1: device descriptor read/64, error -32
Jun 19 14:46:44 eagle1 kernel: usb 4-1: new high speed USB device using ehci_hcd
 and address 4
Jun 19 14:46:44 eagle1 kernel: usb 4-1: device descriptor read/64, error -32
Jun 19 14:46:44 eagle1 kernel: usb 4-1: device descriptor read/64, error -32
Jun 19 14:46:44 eagle1 kernel: usb 4-1: new high speed USB device using ehci_hcd
 and address 5
Jun 19 14:46:44 eagle1 kernel: usb 4-1: device not accepting address 5, error -3
2
Jun 19 14:46:45 eagle1 kernel: usb 4-1: new high speed USB device using ehci_hcd
 and address 6
Jun 19 14:46:45 eagle1 kernel: usb 4-1: device not accepting address 6, error -3
2

------------

This is with a brand new Corsair, Flash Voyager 16GB stick.  An older model of
the same stick does work.  I have also tested a couple of these sticks with the
same results.

On the USB connector, the following numbers are present.
  G16G
  FM3750009
  07186007-0

The other stick that does work has these numbers on it.
  G16G
  FM2730740
  07101150-0

I have tested two other sticks with the same numbers and they don't work.  

I tested the stick on two different Windows machines where it worked with no
issues.  On the one machine, it was dual boot into Ubuntu and the stick did not
work under Ubuntu.  I received the same error messages.

I have contacted Corsair but have not received a response.
Comment 1 Robin 2007-06-27 11:26:49 EDT
I have been in contact with Corsair about this issue and they report back that
the stick works in RHEL 4 and 5.  This would indicate a driver difference
between these versions of Linux.  I am going to try to test the stick on one of
the above systems if someone is running one around work here.

I did query Corsair if they tested with the correct production run of the stick.
Comment 2 Robin 2007-06-27 13:03:42 EDT
This is the Corsair support link to this issue.

http://www.houseofhelp.com/forums/showthread.php?p=300497

Comment 3 Robin 2007-06-27 15:58:05 EDT
I have been doing some testing and talking to one of the admins, we did some
testing.  I finally got the stick to mount by killing and restarting the
uhci_hcd module.

This is from messages when restarting the USB module.


Jun 27 13:31:55 eagle1 kernel: scsi0 : SCSI emulation for USB Mass Storage devices
Jun 27 13:31:55 eagle1 kernel: usbcore: registered new interface driver usb-storage
Jun 27 13:31:55 eagle1 kernel: USB Mass Storage support registered.
Jun 27 13:32:00 eagle1 kernel: scsi 0:0:0:0: Direct-Access     Corsair  Flash
Voyager    1100 PQ: 0 ANSI: 0 CCS
Jun 27 13:32:00 eagle1 kernel: SCSI device sda: 31719424 512-byte hdwr sectors
(16240 MB)
Jun 27 13:32:00 eagle1 kernel: sda: Write Protect is off
Jun 27 13:32:00 eagle1 kernel: sda: assuming drive cache: write through
Jun 27 13:32:00 eagle1 kernel: SCSI device sda: 31719424 512-byte hdwr sectors
(16240 MB)
Jun 27 13:32:00 eagle1 kernel: sda: Write Protect is off
Jun 27 13:32:00 eagle1 kernel: sda: assuming drive cache: write through
Jun 27 13:32:00 eagle1 kernel:  sda: sda1
Jun 27 13:32:00 eagle1 kernel: sd 0:0:0:0: Attached scsi removable disk sda
Jun 27 13:32:00 eagle1 kernel: sd 0:0:0:0: Attached scsi generic sg0 type 0


After this, I can mount and unmount the drive.

From lsusb
  Bus 001 Device 002: ID 090c:1000 Feiya Technology Corp. Memory Bar

I unplug the stick and plug it back in, I get the old error messages.  

rmmod and modprobe don't always work.

After many attempts, I finally got it to mount on the front ports.

lsusb
  Bus 003 Device 002: ID 090c:1000 Feiya Technology Corp. Memory Bar

From messages.
  Jun 27 13:53:00 eagle1 kernel: sd 3:0:0:0: Attached scsi removable disk sda

Comment 4 Robin 2007-08-08 11:17:19 EDT
I don't use F7 at work but on the Corsair page, someone pointed out that the
stick worked in kernel 2.6.22.  I tried the stick in my home machine with F7 and
it worked.  Still won't work in FC6.

As this bug is against F7, I guess it could either be closed or transfered to F6
as there is still a problem.

I wish there was a 2.6.22 kernel for FC6 now.  :)
Comment 5 Robin 2007-08-09 11:43:56 EDT
As a final update, I have installed and using the 2.6.22.1-32.fc6 from the
updates testing and the stick is working as expected.

Solution for others is to update kernel.
Comment 6 Christopher Brown 2007-09-17 07:29:27 EDT
Hello Robin,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

It appears this is resolved - thanks for updating bugzilla along the way - so
I'm closing this. If I have erred, please accept my profuse apologies and
re-open and I will attempt to assist in its resolution.

Cheers
Chris

Note You need to log in before you can comment on or make changes to this bug.